Name: djcrx-bootstrap
Summary:  DJGPP C library and some tools Linux to i586-pc-msdosdjgpp cross-compiler
Version: 2.05
Release: 1
License: http://www.delorie.com/djgpp/dl/ofc/simtel/v2/copying.dj
Group: Development/Tools
URL: http://www.delorie.com/djgpp/
Source0: djcrx205.zip
Provides: djcrx = %{version}-%{release}
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root

%define debug_package %{nil}
%define __os_install_post %{nil}

%description 
DJGPP C library and some tools (stubify and stubedit) 
for Linux to i586-pc-msdosdjgpp cross-compiler

This RPM package only provides way to bootstrap DJGPP library
for Linux to DJGPP cross-compiler when cross-compiler RPM is not
yet available. It is recommended to use actual djcrx RPM instead
when possible

%prep 
#%setup
rm -rf $RPM_BUILD_DIR/%{name}-%{version}
mkdir -p %{name}-%{version}
cd %{name}-%{version}
unzip -q $RPM_SOURCE_DIR/djcrx205.zip

%build 
cd %{name}-%{version}
( cd src/stub && gcc -O2 stubedit.c -o stubedit )
( cd src/stub && gcc -O2 stubify.c -o stubify )
make -C src/dxe -f makefile.dxe

%install 
export STRIP=/bin/true
cd %{name}-%{version}
rm -fr %{buildroot}
mkdir -p %{buildroot}%{_prefix}/bin
mkdir -p %{buildroot}%{_prefix}/i586-pc-msdosdjgpp/bin
mkdir -p %{buildroot}%{_prefix}/i586-pc-msdosdjgpp/sys-include
mkdir -p %{buildroot}%{_prefix}/share/doc/%{name}-%{version}
cp -rp include/* %{buildroot}%{_prefix}/i586-pc-msdosdjgpp/sys-include/
cp -rp lib %{buildroot}%{_prefix}/i586-pc-msdosdjgpp/
cp -vp src/stub/stubify src/stub/stubedit %{buildroot}%{_prefix}/i586-pc-msdosdjgpp/bin/
cp -p copying* readme.1st %{buildroot}%{_prefix}/share/doc/%{name}-%{version}/
cp -vp src/dxe/dxe3gen src/dxe/dxe3res %{buildroot}%{_prefix}/bin

%clean 
rm -fr %{buildroot}

%files 
%defattr(-,root,root) 
%{_prefix}/i586-pc-msdosdjgpp/*
%{_prefix}/share/doc/*
%{_prefix}/bin/*

%changelog 

* Sat Sep 12 2015 Andris Pavenis <andris.pavenis@iki.fi>
- Updated to DJGPP v2.05

* Tue Mar 13 2007 Gordon Schumacher <whiplash@pobox.com>
- Updated to use RPM's prefix macros

* Mon Nov 21 2005 Andris Pavenis <pavenis@latnet.lv>
- Some small updates 

* Tue Nov 15 2005 Andris Pavenis <pavenis@latnet.lv>
— Initial version of rpm spec file for DJGPP libc and some included tools (based on djcrx204 beta)
